﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Site.master" AutoEventWireup="false"
   CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.2020, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
   Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.WebUI.WebDataInput.v11.1, Version=11.1.20111.2020, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
   Namespace="Infragistics.WebUI.WebDataInput" TagPrefix="igtxt" %>
<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.2020, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
   Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.2020, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
   Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="Server">
   <%--valError has to be defined here; if it is in Style.css IE does not use this definition. Looks like it was not found.--%>
   <style type="text/css">
      .valError
      {
         background-color: #eee;
         border: solid 1px #ccc;
         padding: 3px;
         white-space: nowrap;
         color: #CC0066;
         font-weight: bold;
         margin: 3px;
      }
   </style>
   <script type="text/javascript" id="igClientScript">
<!--

// !!!! The field "Imprint Back" is removed. Nevertheless some code eg. basenameManager and the hidden wdg2 is not changed because it could be that is needed in further times. !!!!
      
      var reqComponents = 0;
      var selectedCode = "";
      var shipIdRequired = 0;
      var strMonthes = new Array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12");
      var strDates = new Array("01", "02", "03", "04", "05", "06", "07", "08", "09");

      function delRow() {
         var grid;
         var gridRows;
         var theRow;
         var theCell;

         //We do not remove rows, but set the amount to zero
         if (selectedCode != "") {
            grid = $find('<%= Wdg1.ClientID %>');
            gridRows = grid.get_rows();
            theRow = gridRows.get_rowFromKey(selectedCode);
            for (i = 1; i <= 5; i++) {
               cellName = "Amount" + i.toString();
               theCell = theRow.get_cellByColumnKey(cellName);
               theCell.set_value(0);
            }
         }
         else {
            alert("Bitte zuerst eine Zeile wählen!");
         }
      }

      function onRowSelectionChanged(sender, eventArgs) {
         //remember the selected code
         var rows;
         var selectedRow;

         rows = eventArgs.getSelectedRows();
         selectedRow = rows.getItem(0);
         if (selectedRow != null) {
            selectedCode = selectedRow.get_dataKey();
         }
      }

      function Wdg1_CellEditing_EnteringEditMode(sender, eventArgs) {
         ///<summary>
         /// If the a field in Column "Basename" is not "Standard" then prohibit changes for columns "ImprintB" and "ImprintF"
         ///</summary>
         var baseNameCell;
         var cell;
         var cellName;
         var intTmp;
         var qryCell;
         var strtmp;
         var theVal;

         cell = eventArgs.getCell();
         cellName = cell.get_column().get_key();
         //do not edit the field if basename is not "standard"
         if (cellName == "ImprintFront") {
            baseNameCell = cell.get_row().get_cellByColumnKey("Basename");

            theVal = baseNameCell.get_value().toLowerCase();

            if (theVal != "standard")
               eventArgs.set_cancel(true);
         }
         //Column Code should not be accessable
         if (cellName == "Code") {
            eventArgs.set_cancel(true);
         }

         if (cellName == "Components") {
            baseNameCell = cell.get_row().get_cellByColumnKey("Basename");
            strtmp = baseNameCell.get_value().toString();
            //flgreqComponents is compared in the Validator reqComponents -> CheckComponents
            if ((strtmp == "halbe Seite") || (strtmp == "ganze Seite")) {
               reqComponents = 1;
            }
            else {
               reqComponents = 0;
            }
         }

         //check the amount and set the flag showing that an input is required for the shipId
         if (cellName.substr(0, 6) == "ShipId") {
            qrycellName = "Amount" + cellName.substr(6, 1);
            qryCell = cell.get_row().get_cellByColumnKey(qrycellName);
            strtmp = qryCell.get_value().toString();
            intTmp = parseInt(strtmp);
            if (intTmp > 0) {
               shipIdRequired = 1;
            }
            else {
               shipIdRequired = 0;
            }
         }
      }

      function Wdg1_CellEditing_ExitingEditMode(sender, eventArgs) {
         var answers;
         var cell;
         var cellName;
         var strReturn;
         var strTmp;
         var theVal;

         cell = eventArgs.getCell();

         cellName = cell.get_column().get_key();
         //the next code row gets the wrong value, it is the former value not the actual selected
         //theVal = cell.get_value().toLowerCase();
         //the actual selected value can be found in the eventArgs
         theVal = eventArgs.get_displayText();

         if (cellName == "Basename") {
            if (theVal != "") {
               if (theVal != "standard") //if not Standard then set the default values
               {
                  strReturn = searchWdg2(theVal); //searchWdg2 returns a string with values "ImprintBack:ImprintFront". ImprintBack is not used at this time. May be in further times.!!
                  answers = strReturn.split(":");
                  impFCell = cell.get_row().get_cellByColumnKey("ImprintFront");
                  impFCell.set_value(answers[1]);
               }
            }
         }
      }

      function Wdg1_CellEditing_ExitedEditMode(sender, eventArgs) {
         var cell;
         var cellName;
         var strTmp;
         var theVal;

         cell = eventArgs.getCell();

         cellName = cell.get_column().get_key();

         //set the datevalue if the cell is empty
         if (cellName.substr(0, 11) == "DelDateTime") {
            theVal = cell.get_value();
            if (theVal == "") {
               strTmp = setDeliveryDate();
               cell.set_value(strTmp);
            }
         }

      }

      function Wdg1_RowAdding_EnteringEditMode(sender, eventArgs) {
         var cell;
         var cellName;
         var objValidator;
         var theVal;

         cell = eventArgs.getCell();
         cellName = cell.get_column().get_key();

         if ((cellName == "ImprintFront") || (cellName == "ImprintBack")) {
            baseNameCell = cell.get_row().get_cellByColumnKey("Basename");

            theVal = baseNameCell.get_value().toLowerCase();

            if (theVal != "standard")
               eventArgs.set_cancel(true);
         }

         if (cellName == "Components") {
            qryCell = cell.get_row().get_cellByColumnKey("Basename");
            strtmp = qryCell.get_value().toString();
            //flgreqComponents is compared in the Validator reqComponents -> CheckComponents
            if ((strtmp == "halbe Seite") || (strtmp == "ganze Seite")) {
               reqComponents = 1;
            }
            else {
               reqComponents = 0;
            }
         }
      }

      function Wdg1_RowAdding_ExitedEditMode(sender, eventArgs) {
         ///<summary>
         ///Check the entered values e.g. the value of field code has to be unique
         ///</summary>
         var cell;
         var cellName;
         var grid;
         var gridRows;
         var objValidator;
         var strTmp;
         var theRow;
         var theVal;
         var valName;

         cell = eventArgs.getCell();
         cellName = cell.get_column().get_key();
         //Unique Values for Code
         if (cellName == "Code") {
            //the Val has to be an array for the get_rowFromKey !!!
            theVal = new Array();
            theVal[0] = cell.get_value().toString();

            grid = $find('<%= Wdg1.ClientID %>');

            gridRows = grid.get_rows();
            theRow = gridRows.get_rowFromKey(theVal);
            if (theRow != null) {
               alert("Diese Codeziffer ist bereits vorhanden!\nBitte wählen Sie eine andere!");
               cell.set_value("");
            }
         }
         //CheckBasename
         if (cellName == "Basename") {
            theVal = cell.get_value().toLowerCase();
            if (theVal != "") {
               if (theVal != "standard") //if not Standard then set the default values
               {
                  strReturn = searchWdg2(theVal); //searchWdg2 returns a string with values "ImprintBack:ImprintFront". ImprintBack is not used at this time. May be in further times.!!
                  answers = strReturn.split(":");
                  impFCell = cell.get_row().get_cellByColumnKey("ImprintFront");
                  impFCell.set_value(answers[1]);
               }
               else {
                  strReturn = searchWdg2(theVal); //searchWdg2 returns a string with values "ImprintBack:ImprintFront". ImprintBack is not used at this time. May be in further times.!!
                  answers = strReturn.split(":");
                  //set the value for Imprint Front only if the value is not set
                  impFCell = cell.get_row().get_cellByColumnKey("ImprintFront");
                  theVal = impFCell.get_value().toString();
                  if (theVal == "")
                     impFCell.set_value(answers[1]);
               }
            }
         }
         //CheckAmouts
         if (cellName.substr(0, 6) == "Amount") {
            for (i = 1; i <= 5; i++) {
               strtmp = "Amount" + i.toString();
               valName = "MainContent_reqShipId" + i.toString();
               objValidator = document.getElementById(valName);
               if (cellName == strtmp) {
                  theVal = cell.get_value().toLowerCase();
                  if ((theVal == "") || (isNaN(theVal)) || (theVal == 0)) {
                     ValidatorEnable(objValidator, false);
                     break;
                  }
                  else {
                     ValidatorEnable(objValidator, true);
                     break;
                  }
               }
            } //end for
         }

         //set the datevalue if the cell is empty
         if (cellName.substr(0, 11) == "DelDateTime") {
            theVal = cell.get_value();
            if (theVal == "") {
               strTmp = setDeliveryDate();
               cell.set_value(strTmp);
            }
         }
      }

      //###############################################################################################
      //help functions

      function isValidNumber(sender, args) {
         var theVal;

         theVal = args.Value;
         if ((theVal == "") || (isNaN(theVal))) {
            args.IsValid = false;
         }
         else {
            args.IsValid = true;
         }
      }

      //this function is called when the event is fired that calles the custom-validator
      function isValidDate(sender, args) {
         var dots;
         var theVal;

         theVal = args.Value;

         dots = countDots(theVal); 

         if ((theVal == "") || (dots != 2) || (theVal.length != 10)) {
            args.IsValid = false;
         }
         else {
            args.IsValid = vcheck(theVal);
         }
      }

      //check whether the dots are there and at the right place
      function countDots(strDatum) {
         var iDots;
         iDots = 0;
         for (i = 0; i <= strDatum.length; i++) {
            if ((strDatum[i] = ".") && ((i == 2) || (i == 5)))
               iDots++;
         }
         return iDots;
      }

      function vcheck(strDatum) {
         var iTag1;
         var iMonth1;
         var iYear1;
         // split the string and remove leading zeros from day and month;
         // because parseInt thinks it is a octal number, if the first char of the string is zero!!!
         var splitdate = strDatum.split(".");

         if (splitdate[0].substr(0, 1) == "0") {
            splitdate[0] = splitdate[0].substr(1, 1);
         }

         if (splitdate[1].substr(0, 1) == "0") {
            splitdate[1] = splitdate[1].substr(1, 1);
         }
         //here we go
         iTag1 = parseInt(splitdate[0]);
         iMonth1 = parseInt(splitdate[1]);
         iYear1 = parseInt(splitdate[2]);

         if (iYear1 < 100) {
            if (iYear1 < 50)
               iYear1 = iYear1 + 2000;
            else
               iYear1 = iYear1 + 1900;
         }

         if (isNaN(iMonth1)) {
            return false;
         }
         else
            if (iMonth1 < 1 || iMonth1 > 12) {
               return false;
            }

         if (isNaN(iYear1)) {
            return false;
         }

         if (isNaN(iTag1)) {
            return false;
         }
         else
            if (checkday(iYear1, iMonth1, iTag1)) {
               return false;
            }
         return true;
      }

      function checkday(checkYear, checkMonth, checkDay) {
         maxDay = 31;
         if (checkMonth == 4 || checkMonth == 6 || checkMonth == 9 || checkMonth == 11)
            maxDay = 30;
         else
            if (checkMonth == 2) {
               if (checkYear % 4 > 0)
                  maxDay = 28;
               else
                  if (checkYear % 100 == 0 && checkYear % 400 > 0)
                     maxDay = 28;
                  else
                     maxDay = 29;
            }

         if (checkDay < 1 || checkDay > maxDay)
            return true; //means this is an error
         else
            return false;
      }

      //check whether the field 'components' must have a value > 0; 
      //this is true if the Basename is "halbe Seite" or "ganze Seite"
      function chkComp(sender, args) {
         var actVal;
         actVal = parseInt(args.Value);
         if (reqComponents == 1) {
            if (actVal > 0) {
               args.IsValid = true;
            }
            else {
               args.IsValid = false;
            }
         }
         else {
            args.IsValid = true;
         }
      }
      //every shipId shoud be a numeric value
      function chkShipId(sender, args) {
         var actVal;
         if (args.Value != "")
            actVal = parseInt(args.Value);
         else
            actVal = 0;
         if (shipIdRequired == 1) {
            if (actVal > 0) {
               args.IsValid = true;
            }
            else {
               args.IsValid = false;
            }
         }
         else {
            args.IsValid = true;
         }
      }

      function findRow() {
         var activation;
         var cell;
         var cellEl;
         var code = new Array(1);
         var currentSel;
         var grid;
         var i;
         var idx;
         var row;
         var rows;
         var theVal;

         code[0] = document.getElementById("<%= inpSearch.ClientID %>").value;
         grid = $find('<%= Wdg1.ClientID %>');
         grid.get_ajaxIndicator().show(grid);

         rows = grid.get_rows();
         //row = rows.get_rowFromKey(code); //if our file has more than 430 rows it does not work

         for (i = 0; i < rows.get_length(); i++) {
            cell = grid.get_rows().get_row(i).get_cell(0); //first colum is the Code
            cellEL = cell.get_element();
            theVal = cellEL.innerText.toString().toLowerCase();
            if (theVal == code[0]) {
               break;
            }
         }

         row = rows.get_row(i)

         if (row != null) {
            grid.get_behaviors().get_selection().get_selectedRows().clear();
            grid.get_behaviors().get_selection().get_selectedRows().add(row);
            currentSel = grid.get_behaviors().get_selection().get_selectedRows().getItem(0);
            if (currentSel != null) {
               idx = currentSel.get_index();
               activation = grid.get_behaviors().get_activation();
               cell = grid.get_rows().get_row(idx).get_cell(0);
               activation.set_activeCell(cell);
            }
         }
         grid.get_ajaxIndicator().hide();
      }

      //'manual' activation of the indicator
      function showAction() {
         var grid;
         grid = $find('<%= Wdg1.ClientID %>');
         grid.get_ajaxIndicator().show(grid);
      }

      function searchWdg2(strSearch) {
         var grid;
         var i;
         var rows;
         var strImpB;
         var strImpF;
         var strRet;
         var theVal;
         var wdg2Cell;
         var wdg2CellEL;

         grid = $find('<%= Wdg2.ClientID %>');

         rows = grid.get_rows();
         //loop through the rows
         for (i = 0; i < rows.get_length(); i++) {
            wdg2Cell = grid.get_rows().get_row(i).get_cell(0); //first colum is the basename
            wdg2CellEL = wdg2Cell.get_element();
            theVal = wdg2CellEL.innerText.toString().toLowerCase();
            if (theVal == strSearch.toLowerCase()) {
               wdg2Cell = grid.get_rows().get_row(i).get_cell(1); //second colum is imprintB
               wdg2CellEL = wdg2Cell.get_element();
               strImpB = wdg2CellEL.innerText.toString().toLowerCase();
               wdg2Cell = grid.get_rows().get_row(i).get_cell(2); //third colum is imprintF
               wdg2CellEL = wdg2Cell.get_element();
               strImpF = wdg2CellEL.innerText.toString().toLowerCase();
               strRet = strImpB + ":" + strImpF;
               return strRet;
            }
         }
      }

      function trim(s) {
         while (s.substring(0, 1) == ' ') {
            s = s.substring(1, s.length);
         }
         while (s.substring(s.length - 1, s.length) == ' ') {
            s = s.substring(0, s.length - 1);
         }
         return s;
      }

      //the actual kw on which the user can be found in the dropDown DDthisWeek
      //if a datefield is empty it will be set to a thursday of the week before the actual calender week
      function setDeliveryDate() {
         var foundDate;
         var lastWeek;
         var strTmp;
         var weeks = new Array(1); //we need an array here!!
         var years = new Array(1); //we need an array here!!
         
         weeks[0] = document.getElementById("<%= thisWeek.ClientID %>").value;
         years[0] = document.getElementById("<%= thisYear.ClientID %>").value;

         lastWeek = parseInt(weeks[0]) - 1;
         foundDate = thursday(lastWeek, years[0]);
         //now we can have the string we need
         if (foundDate.getDate() < 10)
            strTmp = "0" + foundDate.getDate() + "." + strMonthes[foundDate.getMonth()] + "." + foundDate.getFullYear();
         else
            strTmp = foundDate.getDate() + "." + strMonthes[foundDate.getMonth()] + "." + foundDate.getFullYear();
         return strTmp;
      }

      function thursday(week, year) {
         var dayToFind;
         var mondaysDate;
         var thisYear;
         
         //calculate the date of the monday of that week
         mondaysDate = calWeek(week, year);
         //now we can call the function to get the thursday last week
         dayToFind = newthursday(mondaysDate);
         return dayToFind;
      }

      //  calculate the thursday last week
      // the monday is given
      function newthursday(theDate) {
         var Do = new Date();
         Do.setTime(theDate.getTime() + (3 - ((theDate.getDay() + 6) % 7)) * 86400000);
         return Do;
      }
                                                                                                                                                                                                                              
      /*********************************************************************************
      * this function computes the date of a monday in a given calender week[intWeek] in a given year[intyear]
      * and returns a Javascript date object
      * using the DIN 1355 / ISO 8601 "Kalenderwochen-Norm"
      * [intYear] must be after 1990, caused by the shortcomings of Javascript. 
      *********************************************************************************/
      function calWeek(intWeek, intYear) {
         //begin    
         dat = new Date(intYear, 0, 1);    	//initializing the date to the 1st of January of the year
         firstDay = dat.getDay();        	   // the days name für den 1.1. des Jahres
         if (firstDay == 0) firstDay = 7;    // (1=monday, 2=tuesday, ..., 7=sunday)

         // check input
         // date objects behave only correctly for years after 1990
         // one year has usually 52 weeks
         // but if the 1.1 of a year a thursday it has 53 weeks
         // remove negative weeks
         if (intYear < 1991 || intWeek < 1 || intWeek > 53 || (intWeek > 52 && firstDay != 4)) return false;

         //Compute the start date for the first week
         // Is the 1.1 later as thursday, than the first week starts at next Monday
         if (firstDay > 4)
            dat.setTime(dat.getTime() + (8 - firstDay) * 24 * 60 * 60 * 1000);
         // otherwise the first Week starts at Monday before the 1.1 bzw. at 1.1 if it is Monday
         else
            dat.setTime(dat.getTime() + (1 - firstDay) * 24 * 60 * 60 * 1000);

         //the [intWeek]-te week is 7 * [intWeek] minus 1 day later as the first week
         dat.setTime(dat.getTime() + (intWeek - 1) * 7 * 24 * 60 * 60 * 1000);

         //return the date 	
         return dat;
      }

   // -->
</script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
   <ig:WebScriptManager ID="Wsm1" runat="server">
   </ig:WebScriptManager>
   <asp:UpdatePanel ID="UpdatePanel1" runat="server">
      <ContentTemplate>
         <div class="left300">
            <asp:Label ID="lblStatus" Text="Label to display messages" runat="server" Visible="False"></asp:Label>
         </div>
         <div class="clear">
         </div>
         <div class="left120">
            <asp:Label ID="lblthisWeek" runat="server" Text="zu bearbeitende KW"></asp:Label>
            <asp:HiddenField ID="thisWeek" runat="server" />
            <asp:HiddenField ID="thisYear" runat="server" />
         </div>
         <div class="left60">
            <ig:WebDropDown ID="DDthisWeek" runat="server" Width="50px">
               <AutoPostBackFlags ValueChanged="On" />
               <Items>
                  <ig:DropDownItem Key="01" Selected="False" Text="01" Value="01">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="02" Selected="False" Text="02" Value="02">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="03" Selected="False" Text="03" Value="03">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="04" Selected="False" Text="04" Value="04">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="05" Selected="False" Text="05" Value="05">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="06" Selected="False" Text="06" Value="06">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="07" Selected="False" Text="07" Value="07">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="08" Selected="False" Text="08" Value="08">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="09" Selected="False" Text="09" Value="09">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="10" Selected="False" Text="10" Value="10">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="11" Selected="False" Text="11" Value="11">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="12" Selected="False" Text="12" Value="12">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="13" Selected="False" Text="13" Value="13">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="14" Selected="False" Text="14" Value="14">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="15" Selected="False" Text="15" Value="15">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="16" Selected="False" Text="16" Value="16">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="17" Selected="False" Text="17" Value="17">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="18" Selected="False" Text="18" Value="18">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="19" Selected="False" Text="19" Value="19">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="20" Selected="False" Text="20" Value="20">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="21" Selected="False" Text="21" Value="21">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="22" Selected="False" Text="22" Value="22">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="23" Selected="False" Text="23" Value="23">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="24" Selected="False" Text="24" Value="24">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="25" Selected="False" Text="25" Value="25">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="26" Selected="False" Text="26" Value="26">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="27" Selected="False" Text="27" Value="27">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="28" Selected="False" Text="28" Value="28">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="29" Selected="False" Text="29" Value="29">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="30" Selected="False" Text="30" Value="30">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="31" Selected="False" Text="31" Value="31">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="32" Selected="False" Text="32" Value="32">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="33" Selected="False" Text="33" Value="33">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="34" Selected="False" Text="34" Value="34">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="35" Selected="False" Text="35" Value="35">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="36" Selected="False" Text="36" Value="36">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="37" Selected="False" Text="37" Value="37">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="38" Selected="False" Text="38" Value="38">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="39" Selected="False" Text="39" Value="39">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="40" Selected="False" Text="40" Value="40">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="41" Selected="False" Text="41" Value="41">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="42" Selected="False" Text="42" Value="42">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="43" Selected="False" Text="43" Value="43">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="44" Selected="False" Text="44" Value="44">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="45" Selected="False" Text="45" Value="45">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="46" Selected="False" Text="46" Value="46">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="47" Selected="False" Text="47" Value="47">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="48" Selected="False" Text="48" Value="48">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="49" Selected="False" Text="49" Value="49">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="50" Selected="False" Text="50" Value="50">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="51" Selected="False" Text="51" Value="51">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="52" Selected="False" Text="52" Value="52">
                  </ig:DropDownItem>
               </Items>
               <ClientEvents />
            </ig:WebDropDown>
         </div>
         <div class="left45">
            <asp:Label ID="Label1" runat="server" Text="im Jahr"></asp:Label>
         </div>
         <div class="left70">
            <ig:WebDropDown ID="DDthisYear" runat="server" Width="60px">
               <AutoPostBackFlags ValueChanged="On" />
               <Items>
                  <ig:DropDownItem Key="2010" Selected="False" Text="2010" Value="2010">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2011" Selected="False" Text="2011" Value="2011">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2012" Selected="False" Text="2012" Value="2012">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2013" Selected="False" Text="2013" Value="2013">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2014" Selected="False" Text="2014" Value="2014">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2015" Selected="False" Text="2015" Value="2015">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2016" Selected="False" Text="2016" Value="2016">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2017" Selected="False" Text="2017" Value="2017">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2018" Selected="False" Text="2018" Value="2018">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2019" Selected="False" Text="2019" Value="2019">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2020" Selected="False" Text="2020" Value="2020">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2021" Selected="False" Text="2021" Value="2021">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2022" Selected="False" Text="2022" Value="2022">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2023" Selected="False" Text="2023" Value="2023">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2024" Selected="False" Text="2024" Value="2024">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2025" Selected="False" Text="2025" Value="2025">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2026" Selected="False" Text="2026" Value="2026">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2027" Selected="False" Text="2027" Value="2027">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2028" Selected="False" Text="2028" Value="2028">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2029" Selected="False" Text="2029" Value="2029">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2030" Selected="False" Text="2030" Value="2030">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2031" Selected="False" Text="2031" Value="2031">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2032" Selected="False" Text="2032" Value="2032">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2033" Selected="False" Text="2033" Value="2033">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2034" Selected="False" Text="2034" Value="2034">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2035" Selected="False" Text="2035" Value="2035">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2036" Selected="False" Text="2036" Value="2036">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2037" Selected="False" Text="2037" Value="2037">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2038" Selected="False" Text="2038" Value="2038">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2039" Selected="False" Text="2039" Value="2039">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2040" Selected="False" Text="2040" Value="2040">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2041" Selected="False" Text="2041" Value="2041">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2042" Selected="False" Text="2042" Value="2042">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2043" Selected="False" Text="2043" Value="2043">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2044" Selected="False" Text="2044" Value="2044">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2045" Selected="False" Text="2045" Value="2045">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2046" Selected="False" Text="2046" Value="2046">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2047" Selected="False" Text="2047" Value="2047">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2048" Selected="False" Text="2048" Value="2048">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2049" Selected="False" Text="2049" Value="2049">
                  </ig:DropDownItem>
                  <ig:DropDownItem Key="2050" Selected="False" Text="2050" Value="2050">
                  </ig:DropDownItem>
               </Items>
               <ClientEvents />
            </ig:WebDropDown>
         </div>
         <div class="left130">
            <asp:Label ID="lblImportWeek" runat="server" Text="importiere von Woche"></asp:Label></div>
         <div class="left120">
            <ig:WebDropDown ID="DDimportWeek" runat="server" DataKeyFields="wkName" DataSourceID="ods4"
               TextField="wkName" ValueField="wkName" Width="100px">
               <DropDownItemBinding TextField="wkName" ValueField="wkName" />
            </ig:WebDropDown>
         </div>
         <div class="left70">
            <igtxt:WebImageButton ID="btnImport" runat="server" Text="import" Overflow="WordWrap">
              <%-- <ClientSideEvents Click="showAction()" />--%>
            </igtxt:WebImageButton>
         </div>
         <div class="left70">
            <asp:TextBox ID="inpSearch" runat="server" Width="60px" BorderColor="Silver"></asp:TextBox>
         </div>
         <div class="left70">
            <igtxt:WebImageButton ID="btnSearch" runat="server" Text="suche">
               <ClientSideEvents Click="findRow()" />
            </igtxt:WebImageButton>
         </div>
         <div class="left60">
         </div>
         <div class="left120">
            <asp:HyperLink ID="lnkDownload" NavigateUrl="download.aspx" runat="server" CssClass="dload">Datei downloaden</asp:HyperLink>
         </div>
         <div class="clear">
         </div>
         <br />
      </ContentTemplate>
   </asp:UpdatePanel>
   <asp:UpdatePanel ID="UpdatePanel2" runat="server">
      <ContentTemplate>
         <ig:WebDataGrid ID="Wdg1" runat="server" Height="350px" Width="100%" AutoGenerateColumns="False"
            DataSourceID="ods1" DataKeyFields="Code" EnableAjax="False">
            <Columns>
               <ig:BoundDataField DataFieldName="Code" Key="Code" Width="50px">
                  <Header Text="Kd. Nr." />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="Name" Key="Name" Width="120px">
                  <Header Text="Name" />
               </ig:BoundDataField>
               <%--<ig:BoundDataField DataFieldName="Baseversion" Key="Baseversion" Width="70px">
                  <Header Text="Basis<br>version" />
               </ig:BoundDataField>--%>
               <ig:BoundDataField DataFieldName="Basename" Key="Basename" Width="70px">
                  <Header Text="Basisname" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="ImprintFront" Key="ImprintFront" Width="70px">
                  <Header Text="Eindruck" />
               </ig:BoundDataField>
               <%--<ig:BoundDataField DataFieldName="ImprintBack" Key="ImprintBack" Width="70px">
                  <Header Text="Eindruck<br>Rückseite" />
               </ig:BoundDataField>--%>
               <ig:BoundDataField DataFieldName="Components" Key="Components" Width="70px">
                  <Header Text="Kompo-<br>nenten" />
               </ig:BoundDataField>
               <%--Address and Amount "HomeEdition"--%>
               <ig:BoundDataField DataFieldName="Amount5" Key="Amount5" Width="60px">
                  <Header Text="Haus-<br>Auflage" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="ShipId5" Key="ShipId5" Width="70px">
                  <Header Text="Vers.Adr.<br>Haus" />
               </ig:BoundDataField>
               <%--Address and Amount "Edition1"--%>
               <ig:BoundDataField DataFieldName="Amount1" Key="Amount1" Width="60px">
                  <Header Text="Auflage1" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="ShipId1" Key="ShipId1" Width="70px">
                  <Header Text="Versand-<br>Adresse1" />
               </ig:BoundDataField>
               <%--Address and Amount "Edition2"--%>
               <ig:BoundDataField DataFieldName="Amount2" Key="Amount2" Width="60px">
                  <Header Text="Auflage2" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="ShipId2" Key="ShipId2" Width="70px">
                  <Header Text="Versand-<br>Adresse2" />
               </ig:BoundDataField>
               <%--Address and Amount "Edition3"--%>
               <ig:BoundDataField DataFieldName="Amount3" Key="Amount3" Width="60px">
                  <Header Text="Auflage3" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="ShipId3" Key="ShipId3" Width="70px">
                  <Header Text="Versand-<br>Adresse3" />
               </ig:BoundDataField>
               <%--Address and Amount "Edition4"--%>
               <ig:BoundDataField DataFieldName="Amount4" Key="Amount4" Width="60px">
                  <Header Text="Auflage4" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="ShipId4" Key="ShipId4" Width="70px">
                  <Header Text="Versand-<br>Adresse4" />
               </ig:BoundDataField>
               <%--Address and Amount "SampleEdition"--%>
               <%-- 
     ****************************************************************************    
     SampleEdition removed on request of Stanley Heutinck via skype on 05.05.2011 
     if it should be aktivated again -> aktivate also Editors and Validators
     also alter the js "Wdg1_RowAdding_ExitedEditMode" function at "CheckAmouts" 
     to check also the 6th amount, don't forget to change edition.vb. & editionManager.vb
     ****************************************************************************    
               <ig:BoundDataField DataFieldName="Amount6" Key="Amount6" Width="60px">
                  <Header Text="Muster-<br>Auflage" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="ShipId6" Key="ShipId6" Width="70px">
                  <Header Text="Vers.Adr.<br>Muster" />
               </ig:BoundDataField>
               --%>
               <ig:BoundDataField DataFieldName="DelDateTime5" Key="DelDateTime5" Width="80px">
                  <Header Text="L.-Termin&lt;br&gt;H.-Auflage" Tooltip="Liefertermin Hausauflage" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="DelDateTime1" Key="DelDateTime1" Width="80px">
                  <Header Text="L.-Termin&lt;br&gt;Auflage1" Tooltip="Liefertermin Auflage1" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="DelDateTime2" Key="DelDateTime2" Width="80px">
                  <Header Text="L.-Termin&lt;br&gt;Auflage2" Tooltip="Liefertermin Auflage2" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="DelDateTime3" Key="DelDateTime3" Width="80px">
                  <Header Text="L.-Termin&lt;br&gt;Auflage3" Tooltip="Liefertermin Auflage3" />
               </ig:BoundDataField>
               <ig:BoundDataField DataFieldName="DelDateTime4" Key="DelDateTime4" Width="80px">
                  <Header Text="L.-Termin&lt;br&gt;Auflage4" Tooltip="Liefertermin Auflage4" />
               </ig:BoundDataField>
            </Columns>
            <EditorProviders>
               <ig:DropDownProvider ID="ddBasenames">
                  <EditorControl ID="edBasename" DataSourceID="ods2" DropDownContainerMaxHeight="200px"
                     EnableAnimations="False" EnableDropDownAsChild="False" TextField="bnName" ValueField="bnName"
                     runat="server">
                     <DropDownItemBinding TextField="bnName" ValueField="bnName" />
                  </EditorControl>
               </ig:DropDownProvider>
               <ig:DropDownProvider ID="ddImprints">
                  <EditorControl ID="edImprints" DataSourceID="ods3" DropDownContainerMaxHeight="200px"
                     EnableAnimations="False" EnableDropDownAsChild="False" TextField="ipText" ValueField="ipText"
                     runat="server">
                     <DropDownItemBinding TextField="ipText" ValueField="ipText" />
                  </EditorControl>
               </ig:DropDownProvider>
               <ig:DropDownProvider ID="ddShipAddress">
                  <EditorControl ID="edShipAddress" DataSourceID="ods5" DropDownContainerMaxHeight="200px"
                     EnableAnimations="False" EnableDropDownAsChild="False" TextField="shaId" ValueField="shaId"
                     runat="server">
                     <DropDownItemBinding TextField="shaId" ValueField="shaId" />
                     <ItemTemplate>
                        <%# DataBinder.Eval(Container.DataItem, "shaId")%>
                        <%# DataBinder.Eval(Container.DataItem, "shaName")%>
                     </ItemTemplate>
                  </EditorControl>
               </ig:DropDownProvider>
               <ig:TextEditorProvider ID="Code_text">
                  <EditorControl ClientIDMode="Predictable">
                  </EditorControl>
               </ig:TextEditorProvider>
               <ig:TextEditorProvider ID="Name_text">
                  <EditorControl ClientIDMode="Predictable">
                  </EditorControl>
               </ig:TextEditorProvider>
               <ig:TextEditorProvider ID="Amount_text">
                  <EditorControl ClientIDMode="Predictable">
                  </EditorControl>
               </ig:TextEditorProvider>
               <ig:TextEditorProvider ID="Components_text">
                  <EditorControl ClientIDMode="Predictable">
                  </EditorControl>
               </ig:TextEditorProvider>
               <ig:TextEditorProvider ID="delDate_text">
                  <EditorControl ClientIDMode="Predictable">
                  </EditorControl>
               </ig:TextEditorProvider>
            </EditorProviders>
            <Behaviors>
               <ig:EditingCore>
                  <Behaviors>
                     <ig:CellEditing>
                        <ColumnSettings>
                           <ig:EditingColumnSetting ColumnKey="Code" EditorID="Code_text" ValidatorID="reqCode"
                              ReadOnly="True" />
                           <ig:EditingColumnSetting ColumnKey="Name" EditorID="Name_text" ValidatorID="reqName" />
                           <ig:EditingColumnSetting ColumnKey="Basename" EditorID="ddBasenames" ValidatorID="reqBasename" />
                           <ig:EditingColumnSetting ColumnKey="ImprintFront" EditorID="ddImprints" ValidatorID="reqImprF" />
                           <%--<ig:EditingColumnSetting ColumnKey="ImprintBack" EditorID="ddImprints" ValidatorID="reqImprB" />--%>
                           <ig:EditingColumnSetting ColumnKey="Components" EditorID="Components_text" ValidatorID="reqComponents" />
                           <ig:EditingColumnSetting ColumnKey="Amount1" EditorID="Amount_text" />
                           <ig:EditingColumnSetting ColumnKey="ShipId1" EditorID="ddShipAddress" ValidatorID="reqShipId" />
                           <ig:EditingColumnSetting ColumnKey="Amount2" EditorID="Amount_text" />
                           <ig:EditingColumnSetting ColumnKey="ShipId2" EditorID="ddShipAddress" ValidatorID="reqShipId" />
                           <ig:EditingColumnSetting ColumnKey="Amount3" EditorID="Amount_text" />
                           <ig:EditingColumnSetting ColumnKey="ShipId3" EditorID="ddShipAddress" ValidatorID="reqShipId" />
                           <ig:EditingColumnSetting ColumnKey="Amount4" EditorID="Amount_text" />
                           <ig:EditingColumnSetting ColumnKey="ShipId4" EditorID="ddShipAddress" ValidatorID="reqShipId" />
                           <ig:EditingColumnSetting ColumnKey="Amount5" EditorID="Amount_text" />
                           <ig:EditingColumnSetting ColumnKey="ShipId5" EditorID="ddShipAddress" ValidatorID="reqShipId" />
                           <%--<ig:EditingColumnSetting ColumnKey="Amount6" EditorID="Amount_text" />
                           <ig:EditingColumnSetting ColumnKey="ShipId6" EditorID="ddShipAddress" />--%>
                           <ig:EditingColumnSetting ColumnKey="DelDateTime5" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:EditingColumnSetting ColumnKey="DelDateTime1" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:EditingColumnSetting ColumnKey="DelDateTime2" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:EditingColumnSetting ColumnKey="DelDateTime3" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:EditingColumnSetting ColumnKey="DelDateTime4" EditorID="delDate_text" ValidatorID="chkDate" />
                        </ColumnSettings>
                        <CellEditingClientEvents EnteringEditMode="Wdg1_CellEditing_EnteringEditMode" ExitingEditMode="Wdg1_CellEditing_ExitingEditMode"
                           ExitedEditMode="Wdg1_CellEditing_ExitedEditMode" />
                        <EditModeActions EnableOnActive="True" EnableOnKeyPress="True" />
                     </ig:CellEditing>
                     <ig:RowAdding>
                        <ColumnSettings>
                           <ig:RowAddingColumnSetting ColumnKey="Code" EditorID="Code_text" ValidatorID="chkCode" />
                           <ig:RowAddingColumnSetting ColumnKey="Name" EditorID="Name_text" ValidatorID="reqName" />
                           <ig:RowAddingColumnSetting ColumnKey="Basename" EditorID="ddBasenames" ValidatorID="reqBasename" />
                           <ig:RowAddingColumnSetting ColumnKey="ImprintFront" EditorID="ddImprints" ValidatorID="reqImprF" />
                           <%--<ig:RowAddingColumnSetting ColumnKey="ImprintBack" EditorID="ddImprints"  ValidatorID="reqImprB" />--%>
                           <ig:RowAddingColumnSetting ColumnKey="Components" EditorID="Components_text" ValidatorID="reqComponents" />
                           <ig:RowAddingColumnSetting ColumnKey="Amount1" EditorID="Amount_text" />
                           <ig:RowAddingColumnSetting ColumnKey="ShipId1" EditorID="ddShipAddress" ValidatorID="reqShipId1" />
                           <ig:RowAddingColumnSetting ColumnKey="Amount2" EditorID="Amount_text" />
                           <ig:RowAddingColumnSetting ColumnKey="ShipId2" EditorID="ddShipAddress" ValidatorID="reqShipId2" />
                           <ig:RowAddingColumnSetting ColumnKey="Amount3" EditorID="Amount_text" />
                           <ig:RowAddingColumnSetting ColumnKey="ShipId3" EditorID="ddShipAddress" ValidatorID="reqShipId3" />
                           <ig:RowAddingColumnSetting ColumnKey="Amount4" EditorID="Amount_text" />
                           <ig:RowAddingColumnSetting ColumnKey="ShipId4" EditorID="ddShipAddress" ValidatorID="reqShipId4" />
                           <ig:RowAddingColumnSetting ColumnKey="Amount5" EditorID="Amount_text" />
                           <ig:RowAddingColumnSetting ColumnKey="ShipId5" EditorID="ddShipAddress" ValidatorID="reqShipId5" />
                           <%--<ig:RowAddingColumnSetting ColumnKey="Amount6" EditorID="Amount_text" ValidatorID="reqAmount" />
                           <ig:RowAddingColumnSetting ColumnKey="ShipId6" EditorID="ddShipAddress" ValidatorID="reqShipId6" />--%>
                           <ig:RowAddingColumnSetting ColumnKey="DelDateTime5" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:RowAddingColumnSetting ColumnKey="DelDateTime1" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:RowAddingColumnSetting ColumnKey="DelDateTime2" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:RowAddingColumnSetting ColumnKey="DelDateTime3" EditorID="delDate_text" ValidatorID="chkDate" />
                           <ig:RowAddingColumnSetting ColumnKey="DelDateTime4" EditorID="delDate_text" ValidatorID="chkDate" />
                        </ColumnSettings>
                        <AddNewRowClientEvents ExitedEditMode="Wdg1_RowAdding_ExitedEditMode" 
                           EnteringEditMode="Wdg1_RowAdding_EnteringEditMode" />
                        <EditModeActions EnableOnActive="True" EnableOnKeyPress="True" />
                     </ig:RowAdding>
                     <ig:RowDeleting />
                  </Behaviors>
               </ig:EditingCore>
               <ig:Selection CellClickAction="Row" RowSelectType="Single">
                  <SelectionClientEvents RowSelectionChanged="onRowSelectionChanged" />
               </ig:Selection>
               <ig:RowSelectors>
               </ig:RowSelectors>
               <ig:Activation>
               </ig:Activation>
            </Behaviors>
            <AjaxIndicator Location="TopLeft" ImageUrl="./Styles/Images/ajax-loader_green.gif"
               AltText="lade..." Enabled="True" />
         </ig:WebDataGrid>
         <div>
            <div class="left100">
               <input id="btnDelete" type="button" value="inaktivieren" onclick="delRow()" /></div>
            <div class="left160">
               <asp:Button ID="btnSave" runat="server" Text="Änderungen speichern" OnClientClick="showAction()" /></div>
            <div class="clear">
            </div>
         </div>
      </ContentTemplate>
   </asp:UpdatePanel>
   <%--<ig:BoundDataField DataFieldName="ImprintBack" Key="ImprintBack" Width="70px">
                  <Header Text="Eindruck<br>Rückseite" />
               </ig:BoundDataField>--%>
   <asp:CustomValidator ID="chkCode" runat="server" CssClass="valError" Text="Bitte Codeziffern eingeben!"
      ControlToValidate="Wdg1" ClientValidationFunction="isValidNumber"></asp:CustomValidator>
   <asp:CustomValidator ID="chkDate" runat="server" CssClass="valError" Text="Bitte ein korrektes Datum eingeben!<br>Format: tt.mm.jjjj"
      ControlToValidate="Wdg1" ClientValidationFunction="isValidDate"></asp:CustomValidator>
   <asp:RequiredFieldValidator ID="reqName" runat="server" CssClass="valError" Text="Bitte einen Namen eingeben!"
      ControlToValidate="Wdg1">
   </asp:RequiredFieldValidator>
   <asp:RequiredFieldValidator ID="reqShipId1" runat="server" CssClass="valError" Text="Bitte eine Versandadresse wählen!"
      ControlToValidate="Wdg1" Enabled="False"></asp:RequiredFieldValidator>
   <asp:RequiredFieldValidator ID="reqShipId2" runat="server" CssClass="valError" Text="Bitte eine Versandadresse wählen!"
      ControlToValidate="Wdg1" Enabled="False"></asp:RequiredFieldValidator>
   <asp:RequiredFieldValidator ID="reqShipId3" runat="server" CssClass="valError" Text="Bitte eine Versandadresse wählen!"
      ControlToValidate="Wdg1" Enabled="False"></asp:RequiredFieldValidator>
   <asp:RequiredFieldValidator ID="reqShipId4" runat="server" CssClass="valError" Text="Bitte eine Versandadresse wählen!"
      ControlToValidate="Wdg1" Enabled="False"></asp:RequiredFieldValidator>
   <asp:RequiredFieldValidator ID="reqShipId5" runat="server" CssClass="valError" Text="Bitte eine Versandadresse wählen!"
      ControlToValidate="Wdg1" Enabled="False"></asp:RequiredFieldValidator>
   <asp:RequiredFieldValidator ID="reqBasename" runat="server" CssClass="valError" Text="Bitte einen Basisnamen auswählen!"
      ControlToValidate="Wdg1">
   </asp:RequiredFieldValidator>
   <asp:RequiredFieldValidator ID="reqImprF" runat="server" CssClass="valError" Text="Bitte Eindruck Titelseite wählen!"
      ControlToValidate="Wdg1">
   </asp:RequiredFieldValidator>
   <asp:CustomValidator ID="reqShipId" CssClass="valError" Text="Bitte eine Versandadresse wählen!"
      ControlToValidate="Wdg1" ClientValidationFunction="chkShipId" runat="server">
   </asp:CustomValidator>
   <asp:CustomValidator ID="reqComponents" CssClass="valError" Text="Bitte Anzahl Komponenten eingeben!"
      ControlToValidate="Wdg1" ClientValidationFunction="chkComp" runat="server">
   </asp:CustomValidator>
   <br />
   <asp:ObjectDataSource ID="ods1" runat="server" DeleteMethod="deleteEdition" 
      InsertMethod="insertEdition" SelectMethod="getEditions" 
      TypeName="editionmanager" UpdateMethod="updateEdition">
      <DeleteParameters>
         <asp:Parameter Name="Code" Type="String" />
      </DeleteParameters>
      <InsertParameters>
         <asp:Parameter Name="Code" Type="String" />
         <asp:Parameter Name="Name" Type="String" />
         <asp:Parameter Name="Basename" Type="String" />
         <asp:Parameter Name="ImprintFront" Type="String" />
         <asp:Parameter Name="Components" Type="String" />
         <asp:Parameter Name="ShipId1" Type="String" />
         <asp:Parameter Name="Amount1" Type="String" />
         <asp:Parameter Name="ShipId2" Type="String" />
         <asp:Parameter Name="Amount2" Type="String" />
         <asp:Parameter Name="ShipId3" Type="String" />
         <asp:Parameter Name="Amount3" Type="String" />
         <asp:Parameter Name="ShipId4" Type="String" />
         <asp:Parameter Name="Amount4" Type="String" />
         <asp:Parameter Name="ShipId5" Type="String" />
         <asp:Parameter Name="Amount5" Type="String" />
         <asp:Parameter Name="DelDateTime1" Type="String" />
         <asp:Parameter Name="DelDateTime2" Type="String" />
         <asp:Parameter Name="DelDateTime3" Type="String" />
         <asp:Parameter Name="DelDateTime4" Type="String" />
         <asp:Parameter Name="DelDateTime5" Type="String" />
      </InsertParameters>
      <UpdateParameters>
         <asp:Parameter Name="Code" Type="String" />
         <asp:Parameter Name="Name" Type="String" />
         <asp:Parameter Name="Basename" Type="String" />
         <asp:Parameter Name="ImprintFront" Type="String" />
         <asp:Parameter Name="Components" Type="String" />
         <asp:Parameter Name="ShipId1" Type="String" />
         <asp:Parameter Name="Amount1" Type="String" />
         <asp:Parameter Name="ShipId2" Type="String" />
         <asp:Parameter Name="Amount2" Type="String" />
         <asp:Parameter Name="ShipId3" Type="String" />
         <asp:Parameter Name="Amount3" Type="String" />
         <asp:Parameter Name="ShipId4" Type="String" />
         <asp:Parameter Name="Amount4" Type="String" />
         <asp:Parameter Name="ShipId5" Type="String" />
         <asp:Parameter Name="Amount5" Type="String" />
         <asp:Parameter Name="DelDateTime1" Type="String" />
         <asp:Parameter Name="DelDateTime2" Type="String" />
         <asp:Parameter Name="DelDateTime3" Type="String" />
         <asp:Parameter Name="DelDateTime4" Type="String" />
         <asp:Parameter Name="DelDateTime5" Type="String" />
      </UpdateParameters>
   </asp:ObjectDataSource>
   <asp:ObjectDataSource ID="ods2" runat="server" SelectMethod="getBasenames" TypeName="basenameManager">
   </asp:ObjectDataSource>
   <asp:ObjectDataSource ID="ods3" runat="server" SelectMethod="getImprints" TypeName="imprintManager">
   </asp:ObjectDataSource>
   <asp:ObjectDataSource ID="ods4" runat="server" SelectMethod="getWeeks" TypeName="weekManager">
   </asp:ObjectDataSource>
   <asp:ObjectDataSource ID="ods5" runat="server" SelectMethod="getAllShipAdresses"
      TypeName="shipAddressManager"></asp:ObjectDataSource>
   <br />
   <ig:WebDataGrid ID="Wdg2" runat="server" DataSourceID="ods2" Height="50px" Width="400px"
      AutoGenerateColumns="False" CssClass="wdg2Hidden">
      <Columns>
         <ig:BoundDataField DataFieldName="bnName" Key="bnName">
            <Header Text="bnName" />
         </ig:BoundDataField>
         <ig:BoundDataField DataFieldName="bnImprB" Key="bnImprB">
            <Header Text="bnImprB" />
         </ig:BoundDataField>
         <ig:BoundDataField DataFieldName="bnImprF" Key="bnImprF">
            <Header Text="bnImprF" />
         </ig:BoundDataField>
      </Columns>
   </ig:WebDataGrid>
</asp:Content>
